# ext-raphf

[![Build Status](https://travis-ci.org/m6w6/ext-raphf.svg?branch=v1.1.x)](https://travis-ci.org/m6w6/ext-raphf)

The "Resource and Persistent Handle Factory" extension provides facilities to manage those in a convenient manner.

## Documentation

See the [online markdown reference](https://mdref.m6w6.name/raphf).

Known issues are listed in [BUGS](./BUGS) and future ideas can be found in [TODO](./TODO).

## Installing

### PECL

	pecl install raphf

### PHARext

Watch out for [PECL replicates](https://replicator.pharext.org?raphf)
and pharext packages attached to [releases](./releases).

### Checkout

	git clone github.com:m6w6/ext-raphf
	cd ext-raphf
	/path/to/phpize
	./configure --with-php-config=/path/to/php-config
	make
	sudo make install

## ChangeLog

A comprehensive list of changes can be obtained from the
[PECL website](https://pecl.php.net/package-changelog.php?package=raphf).

## License

ext-raphf is licensed under the 2-Clause-BSD license, which can be found in
the accompanying [LICENSE](./LICENSE) file.

## Contributing

All forms of contribution are welcome! Please see the bundled
[CONTRIBUTING](./CONTRIBUTING.md) note for the general principles followed.

The list of past and current contributors is maintained in [THANKS](./THANKS).
